Subject: Bug#1556: GPG key error: public key E1F958385BFE2B6E is not available

From: "Chatterjee, Saion" <[email-masked]>
Date: Wed, 28 Jul 2021 16:27:50 +0000

Package: x2goserver
Severity: critical

Unable to install x2Go packages for Debian because the repository archive key is not available.

When I try to bootstrap the repository GPG keys using the docs:  https://wiki.x2go.org/doku.php/wiki:repositories:debian
with this command:
apt-key adv --recv-keys --keyserver keys.gnupg.net E1F958385BFE2B6E

Then I receive the following error message:

GPG error: http://packages.x2go.org/debian stretch InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY E1F958385BFE2B6E
gpg: keyserver receive failed: No name

It was working fine till last month. Please check if the public key has changed.

I mark this ticket as critical because at the moment we are unable to even install x2Go for new users.

Regards,
Saion